xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andreas L Delmelle <a_l.delme...@pandora.be>
Subject Re: bother with secure options
Date Fri, 08 Dec 2006 17:21:05 GMT
On Dec 8, 2006, at 00:21, paul caffrey wrote:

> I'm having some difficulty getting the secure option to work in my  
> fop installation.
>
> I'm getting the message:
> "Cannot find any provider supporting RC4"
> I was wondering if perhaps this could be due to the fop  
> installation (from before I arrived on the project) was not  
> compiled with encryption support?

Nope. It means that, at runtime, the JCE can't find a provider  
supporting RC4.

See: http://xmlgraphics.apache.org/fop/0.92/ 
pdfencryption.html#install_crypto

I think, if was compiled w/o crypto support, then with FOP Trunk, you  
would receive an error message like:
"PDF encryption requested but it is not available.
  Please make sure MD5 and RC4 algorithms are available."



Cheers,

Andreas


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message